# Command-line reference

The `quill` is a minimalistic ledger and governance toolkit for cold wallets.

You can use the `quill` parent command with different flags and subcommands to perform different types of operations.

The basic syntax for running `quill` commands is:

``` bash
quill [option] [subcommand] [flag]
```

Depending on the subcommand, the options and flags you specify might apply to the parent command or to a specific subcommand.

When you have quill installed, you can use the following commands to specify the operation you want to perform. For reference information and examples that illustrate using these commands, select an appropriate command.

-   [quill](./quill-parent.md)
-   [quill account-balance](./quill-account-balance.md)
-   [quill claim-neurons](./quill-claim-neurons.md)
-   [quill generate](./quill-generate.md)
-   [quill get-neuron-info](./quill-get-neuron-info.md)
-   [quill get-proposal-info](./quill-get-proposal-info.md)
-   [quill list-neurons](./quill-list-neurons.md)
-   [quill list-proposals](./quill-list-proposals.md)
-   [quill neuron-manage](./quill-neuron-manage.md)
-   [quill neuron-stake](./quill-neuron-stake.md)
-   [quill public-ids](./quill-public-ids.md)
-   [quill qr-code](./quill-qr-code.md)
-   [quill replace-node-provider-id](./quill-replace-node-provider-id.md)
-   [quill scanner-qr-code](./quill-scanner-qr-code.md)
-   [quill send](./quill-send.md)
-   [quill transfer](./quill-transfer.md)
-   [quill update-node-provider](./quill-update-node-provider.md)
